package org.eclipse.pde.http.ui;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle
 */
public class Activator extends AbstractUIPlugin {
	public final static String PREF_ACCEPT_COUNT = "acceptCount"; //$NON-NLS-1$
	public final static String PREF_MAX_PROCESSORS = "maxProcessors"; //$NON-NLS-1$
	public final static String PREF_MIN_PROCESSORS = "minProcessors"; //$NON-NLS-1$

	public final static String PREF_SSL_PORT = "sslPort"; //$NON-NLS-1$
	public final static String PREF_SSL_PROTOCOL = "sslProtocol"; //$NON-NLS-1$
	public final static String PREF_SSL_SCHEME = "sslScheme"; //$NON-NLS-1$
	public final static String PREF_SSL_ALGORITHM = "sslAlgorithm"; //$NON-NLS-1$
	public final static String PREF_KEY_STORE_FILE = "keyStoreFile"; //$NON-NLS-1$
	public final static String PREF_KEY_STORE_PASSWORD = "keyStorePassword"; //$NON-NLS-1$

	// The plug-in ID
	public static final String PLUGIN_ID = "org.eclipse.pde.http.ui";

	// The shared instance
	private static Activator plugin;
	
	/**
	 * The constructor
	 */
	public Activator() {
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static Activator getDefault() {
		return plugin;
	}
	public static synchronized void logError(String message, Throwable ex) {
		if (message == null)
			message = ""; //$NON-NLS-1$
		Status errorStatus = new Status(IStatus.ERROR, PLUGIN_ID, IStatus.OK,
				message, ex);
		getDefault().getLog().log(errorStatus);
	}

}
